## GeocodeBoundingBox GeocodeBoundingBox — Geocode BoundingBox object |

## Functions

GeocodeBoundingBox * | geocode_bounding_box_new ()
gboolean | geocode_bounding_box_equal ()
gdouble | geocode_bounding_box_get_top ()
gdouble | geocode_bounding_box_get_bottom ()
gdouble | geocode_bounding_box_get_left ()
gdouble | geocode_bounding_box_get_right ()

## Properties

gdouble | bottom | Read / Write / Construct Only
gdouble | left | Read / Write / Construct Only
gdouble | right | Read / Write / Construct Only
gdouble | top | Read / Write / Construct Only

## Types and Values

struct | GeocodeBoundingBox
struct | GeocodeBoundingBoxClass

## Object Hierarchy

        GObject
        ╰── GeocodeBoundingBox

## Includes

    #include <geocode-glib/geocode-bounding-box.h>

## Description

The GeocodeBoundingBox represents a geographical area on earth, bounded by top, bottom, left and right coordinates.

## Functions

### geocode_bounding_box_new ()

    GeocodeBoundingBox *
    geocode_bounding_box_new (gdouble top,
                              gdouble bottom,
                              gdouble left,
                              gdouble right);

Creates a new GeocodeBoundingBox object.

#### Parameters

top | The left coordinate |
bottom | The bottom coordinate |
left | The left coordinate |
right | The right coordinate |

#### Returns

a new GeocodeBoundingBox object. Use `g_object_unref()` when done.

### geocode_bounding_box_equal ()

    gboolean
    geocode_bounding_box_equal (GeocodeBoundingBox *a,
                                GeocodeBoundingBox *b);

Compare two GeocodeBoundingBox instances for equality. This compares all fields and only returns `TRUE` if the instances are exactly equal.

Both instances must be non-`NULL`.

#### Parameters

a | a bounding box |
b | another bounding box |

#### Returns

`TRUE` if the instances are equal, `FALSE` otherwise

Since: 3.23.1

### geocode_bounding_box_get_top ()

    gdouble
    geocode_bounding_box_get_top (GeocodeBoundingBox *bbox);

Gets the top coordinate of `bbox` .

#### Parameters

bbox | a GeocodeBoundingBox |

#### Returns

the top coordinate of `bbox` .

### geocode_bounding_box_get_bottom ()

    gdouble
    geocode_bounding_box_get_bottom (GeocodeBoundingBox *bbox);

Gets the bottom coordinate of `bbox` .

#### Parameters

bbox | a GeocodeBoundingBox |

#### Returns

the bottom coordinate of `bbox` .

### geocode_bounding_box_get_left ()

    gdouble
    geocode_bounding_box_get_left (GeocodeBoundingBox *bbox);

Gets the left coordinate of `bbox` .

#### Parameters

bbox | a GeocodeBoundingBox |

#### Returns

the left coordinate of `bbox` .

### geocode_bounding_box_get_right ()

    gdouble
    geocode_bounding_box_get_right (GeocodeBoundingBox *bbox);

Gets the right coordinate of `bbox` .

#### Parameters

bbox | a GeocodeBoundingBox |

#### Returns

the right coordinate of `bbox` .

## Types and Values

### struct GeocodeBoundingBox

    struct GeocodeBoundingBox;

All the fields in the GeocodeLocation structure are private and should never be accessed directly.

### struct GeocodeBoundingBoxClass

    struct GeocodeBoundingBoxClass {
    };

All the fields in the GeocodeBoundingBoxClass structure are private and should never be accessed directly.

## Property Details

### The `“bottom”` property

      “bottom”                   gdouble

Bottom coordinate.

Flags: Read / Write / Construct Only

Allowed values: [-90,90]

Default value: 0

### The `“left”` property

      “left”                     gdouble

Left coordinate.

Flags: Read / Write / Construct Only

Allowed values: [-180,180]

Default value: 0

### The `“right”` property

      “right”                    gdouble

Right coordinate.

Flags: Read / Write / Construct Only

Allowed values: [-180,180]

Default value: 0

### The `“top”` property

      “top”                      gdouble

Top coordinate.

Flags: Read / Write / Construct Only

Allowed values: [-90,90]

Default value: 0